Announcement

Collapse
No announcement yet.

UT2K4 mods will not be compatible with UT2K3!!

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • UT2K4 mods will not be compatible with UT2K3!!

    http://forums.beyondunreal.com/showthread.php?t=125375


    Check it here

    Quote

    "Networking won't work between UT2003 and UT2004. We had initially plannedto support that, but the network code has changed so much in order to
    reduce bandwidth, support vehicles, and increase performance, that we couldn't
    keep
    the two games network-compatible."

    Dammit, and I just got my copy of ut2k3 on order , hopefully I can cancel it.

  • #2
    EEEEEk
    http://publictut.webhop.net/
    Community Server for ALL to use for
    hosting: Avatars, images, files, maps,
    and more!

    Comment


    • #3
      but 2k4 will still be backwards compatable(I think), and we'll still be able to play NB, which is really all that matters.
      Garlisk's Fantasy Art Gallery
      www.usyetzer.com

      Comment


      • #4
        The jury seems to be still out on that one. Apparently at the very least some minor code alteration and re-compiling will need to happen, and worst-case is that they simply won't work. It's still unclear which is more likely to happen.
        Nightmaster,
        .:Mockers Thievery Guild:.
        - "until the cat is skinned"

        Comment


        • #5
          WHen it comes to online play it won't be backwards compatible ... I think for offline games it will.... which is basically saying in a way Epic isn't lying or changing heart about backwards compatibility.
          I am of the Night

          Comment


          • #6
            You seem to be missing one vital point.

            Ut2k4 (four) ships with ut2k3 (three) in the package,
            so really ut2k4 (four) is just ut2k3 (three) but with a few tweaks mods ect.

            So there is no point buying ut2k3 (three) when ut2k4 (four) is just around the corner.
            deserve victory

            Comment


            • #7
              To me, it suggests only people using UT2k3 can connect to a UT2k3 server and only people using UT2k4 can connect to a UT2k4 server.

              That is all.
              Immortius' Forge

              Comment


              • #8
                But if Nightblade is tweaked to take advantage of UT2K4, then people with UT2K3 won't be able to play it, or does this mean we will need 2 versions of Nightblade? One for UT2K3 users without the extra features and one for UT2K4 users.

                Comment


                • #9
                  If its an engine thing, then it's probably too low level to effect the mod like that. When Nightblade is run with UT2k4 it will gain the new advantages, otherwise it won't. And even if they do introduce a new scripting feature, then we would still have to use it, which means we can decided on a method to allow backwards compatibility, including not using it or a small set of packages for people with the other UT. Such a set would probably be only a few MB.
                  Immortius' Forge

                  Comment


                  • #10
                    but, won't this mean people playing the ut2k3 version won't be able to play with people who own ut2k4 because the netcode is different?

                    Comment


                    • #11
                      Um, I said that already. ¬¬

                      Of course, it's always possible that UT2k3 mods won't work under UT2k4 (maybe even horribly likely). I guess we're all going to have to wait and see.
                      Immortius' Forge

                      Comment


                      • #12
                        So we'll have 2k3 servers and players and 2k4 servers and players with a big void between the two? Great.
                        One of the three LANers of the Apocalypse!
                        -
                        The Unforgiven Casual Gaming Group - New Members Welcome

                        Comment


                        • #13
                          Originally posted by immortius
                          Um, I said that already. ¬¬
                          Oh yeah. Sorry, missed your post. ops:

                          Comment


                          • #14
                            Originally posted by Chainsaws
                            So we'll have 2k3 servers and players and 2k4 servers and players with a big void between the two? Great.
                            Uh oh, the Bloodstone Guild vs. the Blacktooth Rogues in the worst way possible... :lol:
                            It's not my fault everything you like is terrible.

                            Comment


                            • #15
                              omg this shit makes me crazy I think I will buy ut2k4 too....
                              To play it online too, if Iam bored!
                              I think the stuff with the different version is still not clear so can dalai or any other guy making this clear maybe?
                              "Blockheads never learn, Clever learn by his own mistakes, Intelligents learn by mistakes of others."

                              Comment

                              Working...
                              X